<?php

declare(strict_types=1);

/*
 * This file is part of the TYPO3 CMS project.
 *
 * It is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License, either version 2
 * of the License, or any later version.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 * The TYPO3 project - inspiring people to share!
 */

namespace TYPO3\CMS\Core\Http;

use Psr\Http\Message\ResponseInterface;
use Psr\Http\Message\ServerRequestInterface;

/**
 * An interface for dispatcher that delegate requests to a certain callable, typically a
 * controller / action combination. Usually called from the RequestHandler.
 *
 * @internal This low level interface is used core internally only
 */
interface DispatcherInterface
{
    /**
     * Main method to dispatch a request and its response to a callable object
     */
    public function dispatch(ServerRequestInterface $request): ResponseInterface;
}
