/*
 * This file is part of the TYPO3 CMS project.
 *
 * It is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License, either version 2
 * of the License, or any later version.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 * The TYPO3 project - inspiring people to share!
 */
import $ from"jquery";import*as Helper from"@typo3/form/backend/form-editor/helper.js";import Icons from"@typo3/backend/icons.js";import Sortable from"sortablejs";const defaultConfiguration={domElementClassNames:{collapsed:"mjs-nestedSortable-collapsed",expanded:"mjs-nestedSortable-expanded",hasChildren:"t3-form-element-has-children",sortable:"sortable",svgLinkWrapper:"svg-wrapper",noNesting:"mjs-nestedSortable-no-nesting"},domElementDataAttributeNames:{abstractType:"data-element-abstract-type"},domElementDataAttributeValues:{collapse:"actions-chevron-right",expander:"treeExpander",title:"treeTitle"},isSortable:!0,svgLink:{height:15,paths:{angle:"M0 0 V20 H15",vertical:"M0 0 V20 H0",hidden:"M0 0 V0 H0"},width:20}};let configuration=null,formEditorApp=null,treeDomElement=null;const expanderStates={};function getFormEditorApp(){return formEditorApp}function getHelper(e){return getUtility().isUndefinedOrNull(e)?Helper.setConfiguration(configuration):Helper.setConfiguration(e)}function getUtility(){return getFormEditorApp().getUtility()}function assert(e,t,n){return getFormEditorApp().assert(e,t,n)}function getRootFormElement(){return getFormEditorApp().getRootFormElement()}function getCurrentlySelectedFormElement(){return getFormEditorApp().getCurrentlySelectedFormElement()}function getPublisherSubscriber(){return getFormEditorApp().getPublisherSubscriber()}function getFormElementDefinition(e,t){return getFormEditorApp().getFormElementDefinition(e,t)}function getLinkSvg(e){return $('<span class="'+getHelper().getDomElementClassName("svgLinkWrapper")+'"><svg version="1.1" width="'+configuration.svgLink.width+'" height="'+configuration.svgLink.height+'"><path class="link" d="'+configuration.svgLink.paths[e]+'"></svg></span>')}function renderNestedSortableListItem(e){assert("object"===$.type(e),'Invalid parameter "formElement"',1478715704);const t=$("<li></li>");getFormElementDefinition(e,"_isCompositeFormElement")||t.addClass(getHelper().getDomElementClassName("noNesting"));const n=$("<div></div>").attr(getHelper().getDomElementDataAttribute("elementIdentifier"),e.get("__identifierPath")).append($("<span></span>").attr(getHelper().getDomElementDataAttribute("identifier"),getHelper().getDomElementDataAttributeValue("title")).append(buildTitleByFormElement(e)));getFormElementDefinition(e,"_isCompositeFormElement")&&n.attr(getHelper().getDomElementDataAttribute("abstractType"),"isCompositeFormElement"),getFormElementDefinition(e,"_isTopLevelFormElement")&&n.attr(getHelper().getDomElementDataAttribute("abstractType"),"isTopLevelFormElement");const r=$("<span></span>").attr("data-identifier",getHelper().getDomElementDataAttributeValue("expander"));n.prepend(r),Icons.getIcon(getFormElementDefinition(e,"iconIdentifier"),Icons.sizes.small,null,Icons.states.default).then((function(i){r.after($(i).addClass(getHelper().getDomElementClassName("icon")).attr("title","id = "+e.get("identifier"))),getFormElementDefinition(e,"_isCompositeFormElement")?e.get("renderables")&&e.get("renderables").length>0?Icons.getIcon(getHelper().getDomElementDataAttributeValue("collapse"),Icons.sizes.small).then((function(e){r.before(getLinkSvg("angle")).html(e),t.addClass(getHelper().getDomElementClassName("hasChildren"))})):r.before(getLinkSvg("angle")).remove():(n.prepend(getLinkSvg("angle")),r.remove());let o=e.get("__parentRenderable");for(;o&&o.get("__identifierPath")!==getRootFormElement().get("__identifierPath");)o.get("__identifierPath")===getFormEditorApp().getLastFormElementWithinParentFormElement(o).get("__identifierPath")?n.prepend(getLinkSvg("hidden")):n.prepend(getLinkSvg("vertical")),o=o.get("__parentRenderable")})),t.append(n),getPublisherSubscriber().publish("view/tree/render/listItemAdded",[t,e]);const i=e.get("renderables");let o=null;if("array"===$.type(i)){o=$("<ol></ol>");for(let e=0,t=i.length;e<t;++e)o.append(renderNestedSortableListItem(i[e]))}return o&&t.append(o),t}function addSortableEvents(){const e={handle:"div"+getHelper().getDomElementDataAttribute("elementIdentifier","bracesWithKey"),draggable:"li",animation:200,fallbackTolerance:200,fallbackOnBody:!0,swapThreshold:.6,dragClass:"form-sortable-drag",ghostClass:"form-sortable-ghost",onChange:function(e){let t;const n=getParentTreeNodeIdentifierPathWithinDomElement($(e.item));n&&(t=getFormEditorApp().findEnclosingCompositeFormElementWhichIsNotOnTopLevel(n)),getPublisherSubscriber().publish("view/tree/dnd/change",[$(e.item),n,t])},onEnd:function(e){const t=getTreeNodeIdentifierPathWithinDomElement($(e.item)),n=getSiblingTreeNodeIdentifierPathWithinDomElement($(e.item),"prev"),r=getSiblingTreeNodeIdentifierPathWithinDomElement($(e.item),"next");getPublisherSubscriber().publish("view/tree/dnd/update",[$(e.item),t,n,r]),getPublisherSubscriber().publish("view/tree/dnd/stop",[getTreeNodeIdentifierPathWithinDomElement($(e.item))])}},t=treeDomElement.get(0).querySelector("ol."+getHelper().getDomElementClassName("sortable"));new Sortable(t,{...e,group:"tree-step-nodes",put:["tree-step-nodes"]}),t.querySelectorAll("ol").forEach((function(t){new Sortable(t,{...e,group:"tree-leaves-nodes",pull:["tree-leaves-nodes"]})}))}function saveExpanderStates(){const e=function(t){if(getFormElementDefinition(t,"_isCompositeFormElement")){const e=getTreeNode(t);e.length&&(e.closest("li").hasClass(getHelper().getDomElementClassName("expanded"))?expanderStates[t.get("__identifierPath")]=!0:expanderStates[t.get("__identifierPath")]=!1),getUtility().isUndefinedOrNull(expanderStates[t.get("__identifierPath")])&&(expanderStates[t.get("__identifierPath")]=!0)}const n=t.get("renderables");if("array"===$.type(n))for(let t=0,r=n.length;t<r;++t)e(n[t])};e(getRootFormElement());for(const e of Object.keys(expanderStates))try{getFormEditorApp().getFormElementByIdentifierPath(e)}catch{delete expanderStates[e]}}function loadExpanderStates(){for(const e of Object.keys(expanderStates)){const t=getTreeNode(e);t.length&&(expanderStates[e]?t.closest("li").removeClass(getHelper().getDomElementClassName("collapsed")).addClass(getHelper().getDomElementClassName("expanded")):t.closest("li").addClass(getHelper().getDomElementClassName("collapsed")).removeClass(getHelper().getDomElementClassName("expanded")))}}export function renderCompositeFormElementChildsAsSortableList(e){assert("object"===$.type(e),'Invalid parameter "formElement"',1478721208);const t=$("<ol></ol>").addClass(getHelper().getDomElementClassName("sortable"));if("array"===$.type(e.get("renderables")))for(let n=0,r=e.get("renderables").length;n<r;++n)t.append(renderNestedSortableListItem(e.get("renderables")[n]));return t}export function renew(e){getFormEditorApp().getUtility().isUndefinedOrNull(e)&&(e=getRootFormElement()),saveExpanderStates(),treeDomElement.off().empty().append(renderCompositeFormElementChildsAsSortableList(e));let t=0;treeDomElement.on("click",(function(e){const n=$(e.target).closest(getHelper().getDomElementDataAttribute("elementIdentifier","bracesWithKey")).attr(getHelper().getDomElementDataAttribute("elementIdentifier"));!getUtility().isUndefinedOrNull(n)&&getUtility().isNonEmptyString(n)&&(t++,1===t&&setTimeout((function(){1===t?getPublisherSubscriber().publish("view/tree/node/clicked",[n]):editTreeNodeLabel(n),t=0}),300))})),$(getHelper().getDomElementDataIdentifierSelector("expander"),treeDomElement).on("click",(function(){$(this).closest("li").toggleClass(getHelper().getDomElementClassName("collapsed")).toggleClass(getHelper().getDomElementClassName("expanded"))})),configuration.isSortable&&addSortableEvents(),loadExpanderStates()}export function getAllTreeNodes(){return $(getHelper().getDomElementDataAttribute("elementIdentifier","bracesWithKey"),treeDomElement)}export function getTreeNodeWithinDomElement(e){return $(e).find(getHelper().getDomElementDataAttribute("elementIdentifier","bracesWithKey")).first()}export function getTreeNodeIdentifierPathWithinDomElement(e){return getTreeNodeWithinDomElement($(e)).attr(getHelper().getDomElementDataAttribute("elementIdentifier"))}export function getParentTreeNodeWithinDomElement(e){return $(e).parent().closest("li").find(getHelper().getDomElementDataAttribute("elementIdentifier","bracesWithKey")).first()}export function getParentTreeNodeIdentifierPathWithinDomElement(e){return getParentTreeNodeWithinDomElement(e).attr(getHelper().getDomElementDataAttribute("elementIdentifier"))}export function getSiblingTreeNodeIdentifierPathWithinDomElement(e,t){getUtility().isUndefinedOrNull(t)&&(t="prev");const n=getTreeNodeIdentifierPathWithinDomElement(e);return(e="prev"===t?$(e).prev("li"):$(e).next("li")).find(getHelper().getDomElementDataAttribute("elementIdentifier","bracesWithKey")).not(getHelper().getDomElementDataAttribute("elementIdentifier","bracesWithKeyValue",[n])).first().attr(getHelper().getDomElementDataAttribute("elementIdentifier"))}export function setTreeNodeTitle(e,t){let n;getUtility().isUndefinedOrNull(e)?n=buildTitleByFormElement(t):(n=document.createElement("span"),n.textContent=e),$(getHelper().getDomElementDataIdentifierSelector("title"),getTreeNode(t)).get(0).replaceChildren(n)}export function getTreeNode(e){let t;return t="string"==typeof e?e:getUtility().isUndefinedOrNull(e)?getCurrentlySelectedFormElement().get("__identifierPath"):e.get("__identifierPath"),$(getHelper().getDomElementDataAttribute("elementIdentifier","bracesWithKeyValue",[t]),treeDomElement)}export function buildTitleByFormElement(e){getUtility().isUndefinedOrNull(e)&&(e=getCurrentlySelectedFormElement()),assert("object"===$.type(e),'Invalid parameter "formElement"',1478719287);const t=document.createElement("span");t.textContent=e.get("label")?e.get("label"):e.get("identifier");const n=document.createElement("small");return n.textContent="("+getFormElementDefinition(e,"label")+")",t.appendChild(n),t}export function getTreeDomElement(){return treeDomElement}function editTreeNodeLabel(e){const t=getTreeNode(e),n=$(getHelper().getDomElementDataIdentifierSelector("title"),t),r=n.children()[0].childNodes[0].nodeValue.trim(),i=getTreeDomElement().width();let o=!0;const l=$("<input>").attr("class","node-edit").css("top",(function(){return n.position().top+"px"})).css("left",n.position().left+"px").css("width",i-n.position().left+"px").attr("type","text").attr("value",r).on("click",(e=>{e.stopPropagation()})).on("keyup",(function(t){if(13===t.keyCode||9===t.keyCode){const t=this.value.trim();getUtility().isNonEmptyString(t)&&t!==r?(o=!1,l.remove(),getPublisherSubscriber().publish("view/tree/node/changed",[e,t])):(o=!1,l.remove())}else 27===t.keyCode&&(o=!1,l.remove())})).on("blur",(function(){if(o){const t=this.value.trim();l.remove(),getUtility().isNonEmptyString(t)&&t!==r&&getPublisherSubscriber().publish("view/tree/node/changed",[e,t])}}));t.append(l),l.focus()}export function bootstrap(e,t,n){return formEditorApp=e,assert("object"===$.type(t),'Invalid parameter "appendToDomElement"',1478714814),treeDomElement=$(t),configuration=$.extend(!0,defaultConfiguration,n||{}),Helper.bootstrap(formEditorApp),this}